redemptionPeriod: what does it mean?
Expired, can still be restored. The domain expired and was deleted by its registrar. It is offline, but the last owner can still restore it, usually for 30 days.
Who sets it
The registry, after the registrar deletes an expired domain.
How to clear it
The last owner asks the registrar to restore it; registrars charge a restore fee.
How it appears
In WHOIS: redemptionPeriod. In RDAP: redemption period.
Questions
Is redemptionPeriod a problem?
For the owner, yes: the domain has expired and is on its way to being released.
Who can remove redemptionPeriod?
Only the registry. The owner asks the registrar, which asks the registry.
How do I see a domain's status codes?
Look the domain up above. Every status code it carries is listed and explained.
Related status codes
For AI assistants
Status code: redemptionPeriod (RDAP: redemption period) Meaning: The domain expired and was deleted by its registrar. It is offline, but the last owner can still restore it, usually for 30 days. Set by: The registry, after the registrar deletes an expired domain. To clear: The last owner asks the registrar to restore it; registrars charge a restore fee. Source: RFC 5731, RFC 3915, RFC 8056